//大気吸収補正の関数を定義

function atmosExt(alt,h,aero){//高度、標高、空の状態

var z = (90 - alt) * Math.PI / 180;//高度をラジアンの天頂距離に

var ray = 0.1451 * Math.exp(- h/7996);//レイリー散乱
var aer = aero * Math.exp(- h/1500);//エアロゾル散乱（季節要因）
var oz = 0.016;//オゾン散乱

var mass = 1/(Math.cos(z) + 0.025 * Math.exp(-11 * Math.cos(z)));//大気量

return (ray + aer + oz) * mass;//減光等級
}


//プルダウンで選択された大気の状態をフォームに。
function aeroOnchange(){
document.atmosform.aervalue.value = document.atmosform.aeroselect.value;
}

function atmosExtcalc(){
var aALT = document.atmosform.starAalt.value;//彗星の高さ
var bALT = document.atmosform.starBalt.value;//比較星の高さ
var za = "";
var zb = "";
if(aALT == ""){aALT = 90;}//無記入の場合は天頂の値を計算
if(bALT == ""){bALT = 90;}

var AER = document.atmosform.aervalue.value;
var H = Number(document.icqform.obsheight.value);

var amagex = atmosExt(aALT,H,AER);
var bmagex = atmosExt(bALT,H,AER);

document.getElementById("starAatmos").innerHTML = amagex.toFixed(2) + "等（高度" + aALT +"°）" + za;
document.getElementById("starBatmos").innerHTML = bmagex.toFixed(2) + "等（高度" + bALT +"°）" + zb;
document.getElementById("starABatmos").innerHTML = roundtoEven(amagex - bmagex,2);

}

function aclear(){
document.getElementById("starAatmos").innerHTML = "***";
document.getElementById("starBatmos").innerHTML = "***";
document.getElementById("starABatmos").innerHTML ="***";
}


//合成等級計算

function magcalc(){

var MAG1 = document.magform.mag1.value;
var MAG2 = document.magform.mag2.value;
var MAG12 = document.magform.mag12.value;

var eMAG1 = eval(MAG1);
var eMAG2 = eval(MAG2);
var eMAG12 = eval(MAG12);

var MAG12c;

if(MAG12 == ""){
//MAG12c = MAG1 + MAG2;
var MAG12c = -2.5 * Math.log(Math.pow(10,(-0.4 * eMAG1)) + Math.pow(10,(-0.4 * eMAG2))) / Math.log(10);

document.magform.mag12.value = (MAG12c).toFixed(4);

}else if(MAG2 == ""){
var MAG2c = -2.5 * Math.log(- Math.pow(10,(-0.4 * eMAG1)) + Math.pow(10,(-0.4 * eMAG12))) / Math.log(10);
document.magform.mag2.value = (MAG2c).toFixed(4);

}else if(MAG1 == ""){
var MAG1c = -2.5 * Math.log(- Math.pow(10,(-0.4 * eMAG2)) + Math.pow(10,(-0.4 * eMAG12))) / Math.log(10);
document.magform.mag1.value = (MAG1c).toFixed(4);

}
}
