//直交・球面相互変換の関数を定義。
//pならr、90-β、λ。変換種類指定時の引用符を忘れずに。
//tならX、Y、Z。
function changeC(t,a,b,c){
var x = new Array();

if(t == "p"){//球面座標→直交xyz r=距離、90-黄緯、黄経
x[0] = a * Math.sin(b) * Math.cos(c);
x[1] = a * Math.sin(b) * Math.sin(c);
x[2] = a * Math.cos(b);

}else if(t == "c"){//直交座標→球面座標rθφ
x[0] = Math.sqrt(a*a + b*b + c*c);
x[1] = Math.atan2(Math.sqrt(a*a + b*b),c);
x[2] = Math.atan2(b,a);
}
return x;
}

function changeAL(type,a,b){
if(type == 1){


}
}


//歳差。
function preC(num){//歳差定数 numは1970年からのミリ秒数

var TTnow = new Date();
TTnow.setTime(num);//ミリ秒数を日時として定義
var TT2000 = new Date(2000,0,1,12,0,0,0,0);//2000年のミリ秒数
var TT = (TTnow - TT2000)/(86400000*36525);//2000.0からの世紀数

var rad = Math.PI/(180 * 3600);//角度の秒をラジアンに変換。

var a = new Array();

a[0] = (2306.2181 * TT + 0.30188 * TT * TT + 0.017998 * TT * TT * TT) * rad;//ζA
a[1] = (2306.2181 * TT + 1.09468 * TT * TT + 0.018203 * TT * TT * TT) * rad;//zA
a[2] = (2004.3109 * TT - 0.42665 * TT * TT - 0.041833 * TT * TT * TT) * rad;//θA
a[3] = (84381.448 - 46.8150 * TT - 0.00059 * TT * TT + 0.001813 * TT * TT * TT) * rad;//εA

a[4] = (5029.0966 * TT + 1.11113 * TT * TT - 0.000006 * TT * TT * TT) * rad;//pA
a[5] = (47.0029 * TT - 0.03302 * TT * TT + 0.000060 * TT * TT * TT) * rad;//πA
a[6] = (629554.982 - 869.8089 * TT + 0.03536 * TT * TT) * rad;//ΠA

//算出結果はラジアン。
return a;

}

//直交座標の回転
//使用独自関数　preC()
function changeR(t,a,b,c,e){
var x = new Array();

//黄道直交座標→赤道直交 a,b,c = U,V,W  eはε
if(t == 1){
x[0] = a;
x[1] = b * Math.cos(e) - c * Math.sin(e);
x[2] = b * Math.sin(e) + c * Math.cos(e);
}

//直交座標の歳差。2000.0→日時　eには瞬時の時刻1970年からのミリ秒数
if(t == 2){
var preN = new Array();
preN = preC(e);//瞬時における歳差定数

var ζ = preN[0];
var  z = preN[1];
var θ = preN[2];

x[0] = (Math.cos(ζ)*Math.cos(z)*Math.cos(θ) - Math.sin(ζ)*Math.sin(z))*a + (-Math.sin(ζ)*Math.cos(z)*Math.cos(θ) - Math.cos(ζ)*Math.sin(z))*b + (-Math.cos(z)*Math.sin(θ))*c;
x[1] = (Math.cos(ζ)*Math.sin(z)*Math.cos(θ) + Math.sin(ζ)*Math.cos(z))*a + (-Math.sin(ζ)*Math.sin(z)*Math.cos(θ) + Math.cos(ζ)*Math.cos(z))*b + (-Math.sin(z)*Math.sin(θ))*c;
x[2] = (Math.cos(ζ)*Math.sin(θ))*a + (- Math.sin(ζ)*Math.sin(θ))*b + Math.cos(θ)*c;
}
return x;
}

