//地球時（力学時・暦表時）のΔTを求める
//引数numは1970年からの経過ミリ秒数
//http://eclipse.gsfc.nasa.gov/SEhelp/deltatpoly2004.html

function deltaT(num){
var time = new Date();
time.setTime(num);

var yy = time.getFullYear() + (time.getMonth() + 0.5)/12;//時刻を西暦年単位で表記。

if(yy < -500){
var uu = (yy - 1820)/100;
var dT = -20 + 32 * uu * uu;
}else if(yy >= -500 && yy <  500){
var uu = yy/100;
var dT = 10583.6 - 1014.41 * uu + 33.78311 * uu * uu - 5.952053 * Math.pow(uu,3) - 0.1798452 * Math.pow(uu,4) + 0.022174192 * Math.pow(uu,5) + 0.0090316521 * Math.pow(uu,6);
}else if(yy >=  500 && yy < 1600){
var uu = (yy - 1000)/100;
var dT = 1574.2 - 556.01 * uu + 71.23472 * Math.pow(uu,2) + 0.319781 * Math.pow(uu,3) - 0.8503463 * Math.pow(uu,4) - 0.005050998 * Math.pow(uu,5) + 0.0083572073 * Math.pow(uu,6);

}else if(yy >= 1600 && yy < 1700){
var tt = yy - 1600;
var dT = 120 - 0.9808 * tt - 0.01532 * Math.pow(tt,2) + Math.pow(tt,3) /7129;

}else if(yy >= 1700 && yy < 1800){
var tt = yy - 1700;
var dT = 8.83 + 0.1603 * tt - 0.0059285 * Math.pow(tt,2) + 0.00013336 * Math.pow(tt,3) - Math.pow(tt,4) / 1174000;

}else if(yy >= 1800 && yy < 1860){
var tt = yy - 1800;
var dT = 13.72 - 0.332447 * tt + 0.0068612 * Math.pow(tt,2) + 0.0041116 * Math.pow(tt,3) - 0.00037436 * Math.pow(tt,4) + 0.0000121272 * Math.pow(tt,5) - 0.0000001699 * Math.pow(tt,6) + 0.000000000875 * Math.pow(tt,7);

}else if(yy >= 1860 && yy < 1900){
var tt = yy - 1860;
var dT = 7.62 + 0.5737 * tt - 0.251754 * Math.pow(tt,2) + 0.01680668 * Math.pow(tt,3) -0.0004473624 * Math.pow(tt,4) + Math.pow(tt,5) / 233174;

}else if(yy >= 1900 && yy < 1920){
var tt = yy - 1900;
var dT = -2.79 + 1.494119 * tt - 0.0598939 * Math.pow(tt,2) + 0.0061966 * Math.pow(tt,3) - 0.000197 * Math.pow(tt,4);

}else if(yy >= 1920 && yy < 1941){
var tt = yy - 1920;
var dT = 21.20 + 0.84493 * tt - 0.076100 * Math.pow(tt,2) + 0.0020936 * Math.pow(tt,3);

}else if(yy >= 1941 && yy < 1961){
var tt = yy - 1950;
var dT = 29.07 + 0.407 * tt - Math.pow(tt,2)/233 + Math.pow(tt,3) / 2547;

}else if(yy >= 1961 && yy < 1986){
var tt = yy - 1975;
var dT = 45.45 + 1.067 * tt - Math.pow(tt,2)/260 - Math.pow(tt,3)/ 718;

}else if(yy >= 1986 && yy < 2005){
var tt = yy - 2000;
var dT = 63.86 + 0.3345 * tt - 0.060374 * Math.pow(tt,2) + 0.0017275 * Math.pow(tt,3) + 0.000651814 * Math.pow(tt,4) + 0.00002373599 * Math.pow(tt,5);

}else if(yy >= 2005 && yy < 2050){
var tt = yy - 2000;
var dT = 62.92 + 0.32217 * tt + 0.005589 * Math.pow(tt,2);

}else if(yy >= 2050 && yy < 2150){
var dT = -20 + 32 * (Math.pow((yy - 1820)/100,2)) - 0.5628 * (2150 - yy);

}else if(yy >= 2150){
var uu = (yy - 1820)/100;
var dT = -20 + 32 * uu * uu;
}

if(yy > 1900 && yy < 2020){
return dT.toFixed(1);
}else {
return dT.toFixed(0);
}
/*
if(yy > 1900 && yy < 2020){
document.getElementById("dlt").innerHTML = "ΔT=" + dT.toFixed(1) + "s<br />time0=" + time0+"<br />time="+time;
}else {
document.getElementById("dlt").innerHTML = "ΔT=" + dT.toFixed(0) + "s" + time;
*/

//return dT;
}