//フォーマットから軌道要素抜き出し

function readOrbitFormat(str,type){
var x = new Array();//

if(type == "M"){//MPCフォーマットhttp://www.minorplanetcenter.net/iau/Ephemerides/Comets/Soft00Cmt.txt
x[0] = str.slice(0,14);//彗星符号（パック）
x[1] = str.slice(14,30);//近日点通過日YYYY MM DD
x[2] = str.slice(30,40);//近日点距離
x[3] = str.slice(41,50);//軌道離心率
x[4] = str.slice(51,60);//近日点引数
x[5] = str.slice(61,70);//昇交点黄経
x[6] = str.slice(71,80);//軌道傾斜角
x[7] = str.slice(81,89);//元期
x[8] = str.slice(90,96);//標準等級
x[9] = str.slice(96,102);//n
x[10] = str.slice(102,158);//彗星名
x[11] = str.slice(159,172);//出典

}else if(type == "k"){//Comet Orbit Home Pageフォーマット http://jcometobs.web.fc2.com
x[0] = str.slice(0,18);//彗星名符号

var t = str.slice(46,60);//近日点通過日YYYYMMDD.0000

x[1] = t.slice(0,4) + " " + t.slice(4,6) + " " + t.slice(6,14);//近日点通過日YY YY MMDD
//x[1]= "1995 10 06.02381"
x[2] = str.slice(60,71);//近日点距離
x[3] = str.slice(72,81);//軌道離心率
x[4] = str.slice(82,91);//近日点引数
x[5] = str.slice(92,101);//昇交点黄経
x[6] = str.slice(102,111);//軌道傾斜角
x[7] = str.slice(112,120);//元期
x[8] = str.slice(144,149);//標準等級
x[9] = str.slice(149,154);//n
x[10] = str.slice(18,46);//彗星名。通称
x[11] = str.slice(192,201);//出典
}
return x;
}


//全角/半角文字判定 引数str チェックする文字列 flg 0:半角文字、1:全角文字
//http://www.kanaya440.com/contents/tips/javascript/007.html
function CheckLength(str,flg) {
    for (var i = 0; i < str.length; i++) {
        var c = str.charCodeAt(i);
        // Shift_JIS: 0x0 ～ 0x80, 0xa0 , 0xa1 ～ 0xdf , 0xfd ～ 0xff
        // Unicode : 0x0 ～ 0x80, 0xf8f0, 0xff61 ～ 0xff9f, 0xf8f1 ～ 0xf8f3
        if ( (c >= 0x0 && c < 0x81) || (c == 0xf8f0) || (c >= 0xff61 && c < 0xffa0) || (c >= 0xf8f1 && c < 0xf8f4)) {
            if(!flg) return true;//含まれている
        } else {
            if(flg) return true;
        }
    }
    return false;//含まれていない
}


//（JavaScriptにない）双曲線関数sinhを定義。
function sinh(aValue)
{
var myTerm1 = Math.pow(Math.E, aValue);
var myTerm2 = Math.pow(Math.E, -aValue);

return (myTerm1-myTerm2)/2;
}

//（JavaScriptにない）双曲線関数coshを定義。
function cosh(aValue)
{
var myTerm1 = Math.pow(Math.E, aValue);
var myTerm2 = Math.pow(Math.E, -aValue);

return (myTerm1+myTerm2)/2;
}

//現在年月入力用
//観測年月日デフォルト表示用
var today = new Date();
var Nyear = today.getFullYear();
var Nmonth = today.getMonth() + 1;
var Nday = today.getDate();

var TZ = -(today.getTimezoneOffset())/60;//タイムゾーン
if(TZ > 0){
TZ = "+" + TZ;
}


//ローカル日時をUT表記にする関数
function getlocaltoUT(yy,mo,dd,hh,mi,ss,ms,tz,num,type){
//年月日、時分秒ミリ秒、タイムゾーン、日付の小数点桁数、形式指定

mo = mo - 1;//月
tz = 3600 * tz ;//タイムゾーンを秒単位に

var UT = new Date(yy,mo,dd,hh,mi,ss - tz);

var uyy = UT.getFullYear();
var umo = UT.getMonth() + 1;
var uDD = UT.getDate();
var uhh = UT.getHours();
var umi = UT.getMinutes();
var uss = UT.getSeconds();
var ums = UT.getMilliseconds();

//月が1桁の時に先頭に0を追加する
if(umo < 10 ){
umo = "0" + umo;
}

var udd = uDD + uhh/24 + umi/1440 + uss/86400 + ums/86400000;//日時を日の小数化

//日付の偶数丸めを行い、小数点下2桁にする。
var uddr = roundtoEven(udd,num);


//日付が1桁の時先頭に0を追加
if(Math.floor(uddr) < 10 ){
uddr = "0" + uddr;
}

if(type == "icq" || type == "ICQ"){
return uyy + " " + umo + " " + uddr;//ICQ形式の観測日時
}else if(type == "date"){
return uddr;//日付小数のみ
}else if(type == "sec"){
return UT;//秒単位
}
}


//文字数カウント
function showLength(num,str) {
	document.getElementById("inputLength" + num).innerHTML = str.length;
}


//偶数丸め　引数＝（丸めたい数,小数点以下の桁数）
function roundtoEven(num,n){
if(num == "" && n == 0){//空白の場合は何もしない
return "";
}else{
var N = Math.pow(10,n);
if ((Math.floor(num * N)%2==0) && (Math.abs(num * N - Math.floor(num * N))==0.5))
return (Math.round(num * N)/N - 1/N).toFixed(n);
else
return (Math.round(num * N)/N).toFixed(n);
}
}

//数字のみ入力させる
function suujinomi(obj) {
if (window.event) {
var c = window.event.keyCode;
if ( 48<=c&&c<=57 || 96<=c&&c<=105 || c==37 || c==39 || c==8 || c==45 || c==46 || c==36 || c==35) return;
}
var v=obj.value;
v=v.replace(/[^0-9]/g,'');
//v=v.replace(/[^0-9!"#$%&'\(\)]/g,'');
obj.value=v;
}


//文字数が不足する場合にブランクを文字列に追加し、文字数を揃える
//合計文字数がnumに達するまで文字列strの前(b）か後(a）にブランクを追加

function addBlank(str,num,ba){
str = "" + str;
var bln = num - str.length;//不足文字数
var Blank = "";
var i;
for (i = 0;i < bln;i ++){
Blank = " " + Blank;
}
if(ba == "b"){
return Blank + str;
}else if(ba == "a"){
return str + Blank;
}
}

function addZeroRmvDot(num){//先頭が.ならゼロを追加。末尾が.なら.を除去
num = num.replace(/ /g,"")//余計な空白除去
if(num.indexOf(".") == 0){
num = "0" + num;//小数点から始まる場合に0を付ける
}
if(num.slice(-1) == "."){
num = num.slice(0,-1);
}
return num;
}

function numberAddBlank(num,n1,n2){//小数に指定桁までブランクを追加
num = addZeroRmvDot(num);//ゼロと小数点の過不足調整
var rnum = Math.floor(num);//整数値
num = "" + num;
rnum = "" + rnum;
var numd = num.length - rnum.length;//小数桁数
/*if(n2 < numd - 1){
num = roundtoEven(num,n2);//小数が指定桁より多い場合は偶数丸めの四捨五入
}*/
numd = "" + numd;
var bln1 = n1 - rnum.length;//不足文字数
if(n2 == 0){//小数点のない場合
var bln2 = n2 - numd;
}else{
var bln2 = n2 - numd + 1;
}
var Blank1 = "";
var i;
for (i = 0;i < bln1;i ++){
Blank1 = " " + Blank1;
}

var Blank2 = "";
var j;
for (j = 0;j < bln2;j ++){
Blank2 = " " + Blank2;
}
return Blank1 + num + Blank2;
}


function unitConv(num,order,type,name1,name2,name3){//処理したい数値,最終単位の桁数,変換の種類。
var sign = "";
var H = "";
var M = "";
var M0 = "";
var S00 = "";
var S0 = "";
var M00 = "";
var S = "";
var name = "";

if(num < 0){
num = Math.abs(num);
sign = "-";
}else if(type == "+DM" || type == "+DMS"){
sign = "+";
}

//角度から時への変換はnum/15、日の小数から時への変換はnum*24
if(type == "DMS" || type == "+DMS"){//角度の小数を分秒に
H = Math.floor(num);
M0 = Math.floor((num - H)*60);
if(M0 < 10){M = "0" + M0;
}else{M = M0;
}//1桁の時に先頭に0追加
S00 = (num - H - M0/60)*3600;
S0 = S00.toFixed(order);
if(S0 < 10){S = "0" + S0;
}else{S = S0;}
}else if(type == "DM" || type == "+DM"){//角度の小数を分に
H = Math.floor(num);
M00 = (num - H)*60;
M0 = M00.toFixed(order);
if(M0 < 10){M = "0" + M0;
}else{M = M0;
}
S = "";
name = "";
}else if(type == "DHMS"){
}

return sign + H + name1 + M + name2 + S + name3;
}


function dist(a1,b1,a2,b2){




}