//地平座標を求める関数を定義。

function horizontal(αh,δd,num,λd,φd){//時分単位のα、度単位のδ、1970年からの経過ミリ秒数、度単位の経緯度
//時刻単位の変換
var TTnow = new Date();
TTnow.setTime(num);
var TT2000 = new Date(2000,0,1,12,0,0,0,0);//2000.0の1970年からの経過ミリ秒数
var TT = (TTnow - TT2000)/(86400000*36525);//2000.0からの日数

var ΘG = 280.46061837 + 360.98564736629*(TTnow - TT2000)/86400000 + 0.000387933*TT*TT + 0.0000000258*TT*TT*TT;//グリニッジ恒星時。単位°

var Θd = (ΘG + λd) % 360;//観測点の恒星時
if(Θd > 180 && Θd < 360){
Θd = Θd - 360;
}
//単位の変換
var rad = Math.PI/180;

var α = αh*rad*15;
var δ = δd*rad;
var λ = λd*rad;
var φ = φd*rad;
var Θ = Θd*rad;

var alt = Math.asin(Math.sin(φ)*Math.sin(δ) + Math.cos(φ)*Math.cos(δ)*Math.cos(Θ - α));

var A = Math.atan2(Math.cos(δ)*Math.sin(Θ-α),-Math.cos(φ)*Math.sin(δ) + Math.sin(φ)*Math.cos(δ)*Math.cos(Θ-α));

var V = Math.atan2(Math.cos(φ)*Math.cos(δ)*Math.cos(alt)*Math.sin(A),Math.cos(δ)*(Math.sin(φ)-Math.sin(δ)*Math.sin(alt)));

var t =Θd - αh*15;//時角
t= t % 360;

if(t > 180){
t = t - 360;
}else if(t < -180){
t = t + 360;
}


//方位角の名称

var x = new Array();
x[0] = Θd;//地方恒星時。単位°
x[1] = alt/rad;//高度。単位°
x[2] = A/rad+180;//北回りの方位角。単位°
x[3] = V/rad;//北回りの天頂方向角。単位°
x[4] = V/rad+180;//北回りの天頂方向角。単位°
x[5] = t;//時角。単位°

return x;
}

//「日の出点」の時角
function riset(δd,φd,hd){//時分単位のα、度単位のδ、1970年からの経過ミリ秒数、度単位の経緯度、求める天体出没高度

//単位の変換
var rad = Math.PI/180;
var h = hd*rad;
var δ= δd*rad;
var φ = φd*rad;
var costk = (Math.sin(h) - Math.sin(δ) * Math.sin(φ)) / (Math.cos(δ) * Math.cos(φ));
var tk = Math.acos(costk) / rad;//時角。単位°。マイナスなら出、プラスなら没
return tk;

}

//方角に名称を与える
function directname(A,lang){
var n = "";
if(lang == "ja"){
if((A >= 348.75 && A <= 360) || (A >= -11.25 && A <=11.25)){n = "北";}
else if(A >  11.25 && A <  33.75){n = "北北東";}
else if(A >= 33.75 && A <= 56.25){n = "北東";}
else if(A >  56.25 && A <  78.75){n = "東北東";}
else if(A >= 78.75 && A <= 101.25){n = "東";}
else if(A > 101.25 && A < 123.75){n = "東南東";}
else if(A >=123.75 && A <=146.25){n = "南東";}
else if(A > 146.25 && A < 168.75){n = "南南東";}
else if(A >=168.75 && A <=191.25){n = "南";}
else if(A > 191.25 && A < 213.75){n = "南南西";}
else if(A >=213.75 && A <=236.25){n = "南西";}
else if(A > 236.25 && A < 258.75){n = "西南西";}
else if(A >=258.75 && A <=281.25){n = "西";}
else if(A > 281.25 && A < 303.75){n = "西北西";}
else if(A >=303.75 && A <=326.25){n = "北西";}
else if(A > 326.25 && A < 348.75){n = "北北西";}
else{n = "不明";}

}else if(lang == "en"){
if((A >= 348.75 && A <= 360) || (A >= -11.25 && A <=11.25)){n = "N";}
else if(A >  11.25 && A <  33.75){n = "NNE";}
else if(A >= 33.75 && A <= 56.25){n = "NE";}
else if(A >  56.25 && A <  78.75){n = "ENE";}
else if(A >= 78.75 && A <= 101.25){n = "E";}
else if(A > 101.25 && A < 123.75){n = "ESE";}
else if(A >=123.75 && A <=146.25){n = "SE";}
else if(A > 146.25 && A < 168.75){n = "SSE";}
else if(A >=168.75 && A <=191.25){n = "S";}
else if(A > 191.25 && A < 213.75){n = "SSW";}
else if(A >=213.75 && A <=236.25){n = "SW";}
else if(A > 236.25 && A < 258.75){n = "WSW";}
else if(A >=258.75 && A <=281.25){n = "W";}
else if(A > 281.25 && A < 303.75){n = "WNW";}
else if(A >=303.75 && A <=326.25){n = "NW";}
else if(A > 326.25 && A < 348.75){n = "NNW";}
else{n = "Unknown";}
}
return n;
}
/*
function risettime(num,ΔT,λ,φ,height,obj,alt){
var Earth = new Array();
Earth = earthposition(num + ΔT);
var α = Earth[19]/15+12;//視赤経時
var δ = -Earth[20];//視赤緯度

var altSun = new Array();
var Δdr = new Array();
var Δds = new Array();
var altSun = horizontal(α,δ,num,λ,φ);//太陽高度
//var altSun = horizontal(αSun,δSun,TTms,λ,φ);//太陽高度
var HASun = altSun[5];//太陽時角


var Sun0 = new Array();
var altSun0 = new Array();
var αSun0 = new Array();
var δSun0 = new Array();
var HSun0  = new Array();
var HA0 = new Array();
var risetime0 = new Array();
var settime0 = new Array();

var altset = -18;//求める高度（-18で薄明）
//var altset = -0.266994/RR - 2.12*Math.sqrt(height)/60 - 0.58556 + 8.794/(RR*3600);

var rs = -1;//-1で出。1で没
var HA1 = riset(δSun,φ,altset);//太陽時角1次//薄明-18°
Δdr[0] = (-HASun - HA1)/360*86400000;//薄明開始（出）時刻補正値単位ミリ秒
Δds[0] = (-HASun + HA1)/360*86400000;//薄明終了（没）時刻

risetime0[0] = TTms + Δdr[0];//近似的な出時刻
settime0[0] = TTms + Δds[0];//近似的な出時刻

//出
for(var i=0;Math.abs(Δdr[i]) > 1;i++){
if(i == 100) break;//100回やってダメなら諦める
Sun0 = earthposition(risetime0[i]);//視赤緯を求める
altSun0 = horizontal(Sun0[19]/15+12,-Sun0[20],risetime0[i] - TTnowDT * DTc * 1000,λ,φ);//太陽時角を求める
//altSun0[5];//近似的な時角
HA0 = riset(-Sun0[20],φ,altset);//太陽時角i次
Δdr[i+1] = (-altSun0[5] - HA0)/360*86400000;//出時刻補正値単位ミリ秒
risetime0[i+1] = risetime0[i] + Δdr[i+1];
var risetime = risetime0[i+1];
}

var risetimedate = new Date(risetime + TIMEzone*3600000 - TTnowDT * DTc * 1000 + 30000);//ローカル標準時（ΔT補正済み）四捨五入のため30秒加算
rised = risetimedate.getDate();
riseh = risetimedate.getHours();
risem = risetimedate.getMinutes();
rises = risetimedate.getSeconds();
//分が1桁の時先頭に0を追加
if(Math.floor(risem) < 10 ){risem = "0" + risem;}
risecom = rised + "日" + riseh+ "時" + risem + "分";

//没
for(var i=0;Math.abs(Δds[i]) > 1;i++){
if(i == 100) break;//100回やってダメなら諦める
Sun0 = earthposition(settime0[i]);
altSun0 = horizontal(Sun0[19]/15+12,-Sun0[20],settime0[i] - TTnowDT * DTc * 1000,λ,φ);//太陽高度

//altSun0[5];//近似的な時角
HA0 = riset(-Sun0[20],φ,altset);//太陽時角i次
Δds[i+1] = (-altSun0[5] + HA0)/360*86400000;//出時刻補正値単位ミリ秒
settime0[i+1] = settime0[i] + Δds[i+1];
var settime = settime0[i+1];
}

var settimedate = new Date(settime + TIMEzone*3600000 - TTnowDT * DTc * 1000 + 30000);
setd = settimedate.getDate();
seth = settimedate.getHours();
setm = settimedate.getMinutes();
sets = settimedate.getSeconds();
//分が1桁の時先頭に0を追加
if(Math.floor(setm) < 10 ){setm = "0" + setm;}
setcom = setd + "日" + seth+ "時" + setm + "分";
//

return n;
}
*/