/*
★ユーザー設定ファイル★
彗星名や観測機材、観測者コードなどの情報をこのファイルで事前に設定しておくことができます。
記入例を参考に設定してください。
一度設定しておくと、次回からプルダウンメニュー等から簡単に入力することができます。
クッキーは一切使用していません。
設定はJavascriptの配列を利用しています。

引用符「"」と、真ん中と最後の「,」を削らないこと。
ただし、一番最後の行のみ最後の「,」を削ること。
引用符の中に「,」「"」「[」「]」の記号は使えません。

記号が1個でも抜けていたり、重複していたり、間違っているとJavaScriptエラーとなり表示できません。
（説明ここまで）
*/



//■■ここから設定
//■観測点（彗星高度の推算に必要。不要なら無記入で可。）
var arrayObsPosition = [//この行、削除不可

//[経度（度の小数。東は+。西は-）,緯度（度の小数。北は+南は-）,標高（m。1万メートル未満),"名称（プルダウンに表示）"],
//以下の項目は適宜追加・削除してください。
[139.7447,35.6544,0,"東京都（user.jsを編集して自分の観測地にしてください）"],//デフォルトの観測地です。自分の（もっともよく使う）観測地に変えてください。
[138.7277,35.3605,3776,"富士山頂"],
["OPGStart",,,"北海道"],//グループ化ラベル。"グループの名称"
[148.8,45.5,0,"択捉島北端（<ruby><rb>蘂取村</rb><rp>＜</rp><rt>しべとろむら</rt><rp>＞</rp></ruby>）"],
[145.5826,43.3304,0,"根室市"],
[141.6827,45.4016,0,"稚内市"],
[141.3455,43.0552,0,"札幌市"],
["OPGEnd",,,],//グループ化閉じタグ
[140.7552,40.8246,0,"青森県青森市"],
[140.8914,38.2542,0,"仙台市"],
[139.0363,37.9162,0,"新潟市"],
["OPGStart",,,"東京都"],//グループ化ラベル。"グループの名称"
[139.7447,35.6544,0,"東京天文台跡地（港区。理科年表採用値）"],
[153.98,24.29,0,"南鳥島（小笠原村）"],
[142.1919,27.0944,0,"父島（小笠原村）"],
[136.0812,20.4255,0,"沖ノ鳥島（小笠原村）"],
["OPGEnd",,,],//グループ化閉じタグ
[136.9206,35.1549,0,"名古屋市"],
[135.4965,34.7025,0,"大阪市"],
[133.5383,33.5520,0,"高知県高知市"],
[132.4552,34.3853,0,"広島市"],
[130.4024,33.5797,0,"福岡市"],
[130.5525,31.5705,0,"鹿児島県鹿児島市"],
[127.6923,26.2048,0,"沖縄県那覇市"],
[124.1562,24.3406,0,"沖縄県石垣市"],
[135,35,0,"東経135度北緯35度"],
[135,-35,0,"東経135度南緯35度"],

//["OPGStart",,,""],//グループ化ラベル。"グループの名称"
//["OPGEnd",,,],//グループ化閉じタグ
//[,,,""],

//
];//この行、削除不可


//■観測者コード
//引用符""の中に、自分の観測者コード（3～5文字）を書きます。3文字の場合空白を忘れずに。例　"ABC  " "AAA00" 

var OBSXX = "AAA00";
var OBSxx74 = "（観測者名）"; //74カラム用（氏名を記入。空白でも可。日本国内報告・星の広場用）

//■「比較星参照にソフトウェア使用」の初期状態にチェックを入れる→1　入れない→0
var software = 0;


//■観測器具一括選択
//望遠鏡の種類とアイピースの組み合わせを一括指定。
//よく使う望遠鏡＋アイピースの組み合わせや、一体型の装置（双眼鏡やファインダー）や肉眼はこちらへ
var SelectInstrument = [//この行、削除不可
["","（↓選択してください）"],//この行は削らないこと（推奨）
//以下の項目はサンプルです。削除して自分の機材の値を記入してください。
//["",""],
["  5.0B     7","5cm7x双眼鏡"],
[" 10.0B    14","10cm14x双眼鏡"],

[" 15.0B    25","15cm25x双眼鏡"],
["  0.0E     1","1x（肉眼）"],
["OPGStart","20.3cm f=2000mm"],//1つ目の""内に「OPGStart」を入れるとグループ化できます。2つ目の""にグループの名称。（任意）
[" 20.3T10  36"," 36x（PL56mm）87'=1.46°"],
[" 20.3T10  62"," 62x（PL32mm）50'"],
[" 20.3T10 100","100x（PL20mm）31'"],
[" 20.3T10 317","317x（SP6.4mm）10.0'"],
["OPGEnd",""],//グループ化の際は閉じタグを忘れずに。1つ目に「OPGEnd」を入れ、2つ目の""には何も入力しない

["OPGStart","11.0cm f=1035mm"],
[" 11.0M 9  31"," 31x（PL32mm）-"],
[" 11.0M 9  38"," 38x（SP26mm）-"],
[" 11.0M 9  50"," 50x（PL20mm）62'=1.04°"],
["OPGEnd",""],
["OPGStart","11.0cmバーローレンズ2.0x"],
[" 11.0M 9 312","312x（SP6.4mmx2）10'"],
["OPGEnd",""],
//サンプルここまで。
["",""]
];//この行、削除不可

//■観測器具個別指定
//★望遠鏡
//機材が多く「一括選択」で煩雑になる場合などに、望遠鏡とアイピースを個別に設定できます。
//1つ目の引用符。「1～5カラム目」で口径をcmで記入し、「6カラム目に」望遠鏡の種別を1文字で。「7～10カラム目に」『焦点距離』をmmで指定してください（整数値のFでは有効数字が足りず倍率を正確に算出できないため）。桁ずれに注意してください。ICQフォームに必要なF値は自動計算されます。
//2つ目の引用符の内容がプルダウンに表示されます

var SelectTELE  = [//この行、削除不可
["","（↓選択してください）"],//この行は削らないこと（推奨）
//以下の項目はサンプルです。削除して自分の機材の値を記入してください。
//["",""],
[" 20.3T2000","20cmF10シュミカセ"],//口径は左詰でもかまいませんが、必ず5カラム目に種別、6カラム目以降に焦点距離を記入。
["  8.0R 910","8cmF11屈折"],
["","ない場合は個別入力"]//この行は削除可能だが、残しておくことを推奨。
//サンプルここまで。
];//この行、削除不可


//★アイピース
//1つ目の引用符の中に、アイピースの焦点距離をmmで記入してください。
//2つ目の引用符の中がプルダウンに表示されます
var SelectEP = [//この行、削除不可
["","（↓選択してください）"],//この行は削らないこと（推奨）
//以下の項目はサンプルです。削除して自分の機材の値を記入してください。
["56","SP56mm"],
["32","PL32mm"],
["20","PL20mm"],
["","ない場合は個別入力"]//この行は削除可能だが、残しておくことを推奨。
//サンプルここまで。
];//この行、削除不可

//★エクステンダー・バーローレンズ・レデューサー
var SelectEX = [//この行、削除不可
["1.0","エクステンダー等非設定"],//この行は削らないこと（推奨）
//以下の項目はサンプルです。削除して自分の機材の値を記入してください。
["5.0","5.0x"],
["4.0","4.0x"],
["3.0","3.0x"],
["2.6","2.6x"],
["2.5","2.5x"],
["2.0","2.0x"],
["0.7","0.7x"],
["","ない場合は個別入力"]//この行は削除可能だが、残しておくことを推奨。
//サンプルここまで。
];//この行、削除不可
